GET
/
v1
/
customers
/
{customerId}
/
accounts
/
{accountId}
/
scheduled-payments
List scheduled payments
curl --request GET \
  --url https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/scheduled-payments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/scheduled-payments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/scheduled-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "scheduledPayments": [
      {
        "id": "sch_2f5a8d1b",
        "customerId": "cust_3f9a2b7e",
        "accountId": "acc_7c1d8e4a",
        "beneficiaryId": "ben_4b8e1c9d",
        "amount": "150.00",
        "paymentSubType": "SCHEDULED",
        "paymentRef": "Invoice 1025",
        "userSelectedDate": "2026-07-01",
        "scheduledDate": 1782950400000,
        "purpose": "PP001",
        "payee": {
          "bankName": "Crédit Agricole",
          "bic": "AGRIFRPP",
          "iban": "FR7630006000011234567890189",
          "name": "Grace Hopper"
        }
      }
    ]
  }
}
{
"success": false,
"code": "<string>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string
required

Customer identifier.

accountId
string
required

Account identifier. The account determines which optional features and limits apply.

Response

Scheduled payments

success
boolean
Example:

true

data
object